Groups

Retrieve groups

Requires the GROUPMANAGEMENT security role.

get
https://{your-bynder-domain}/api/groups/list/

Query Parameters

search_termstring

Search on matching group names.

pageinteger

What page of results to return.

Default:1

limitinteger

Maximum results to return. If limit is not provided the first 20 results will be returned.

Default:20

sort_orderstring

Order of the returned list of groups.

Allowed values:ascdesc

Response

200 application/json

Successful response

idstring
namestring
get/api/groups/list/
 
200 application/json

ErrorResponse

object
detailobject
Show Child Parameters
Example

Group

object
descriptionstring | null
idstring(uuid)
namestring
user_countinteger

Number of members in the group.

Example

GroupMembersInput

object
user_idsarray[string](uuid)required

IDs of the users to add or remove. An empty list is a no-op.

Example

GroupMembersResult

object
user_countinteger

Updated number of members in the group after the operation.

Example